Jump to content
itacad

Perpendicular and symmetrical line

Recommended Posts

itacad

Hi, in a drawing I have already drawn a line (red line) that I must use to trace other perpendicular lines.

The perpendicular lines that I have to trace must use the red line already drawn as median.

For perpendicular lines, I know the starting points, so "half" of the total length I need.

Is it possible to draw perpendicular lines in a single operation?...without using subsequentlythe mirror command or scale command...

regards

Perpendicular and symmetrical line.dwg

Share this post


Link to post
Share on other sites
BIGAL

Very easy with lisp as you know the point, and the line angle.

 

Have a go here is a start just add polar for the two new end points hint (/  dist 2.0)

 

(setvar 'osmode 512)
(setq ent (entsel "pick object"))
(setq pt (cadr ent))
(setq obj (vlax-ename->vla-object (car ent)))
(setq end (vlax-get Obj 'EndPoint))
(setq start (vlax-get Obj 'startPoint))
(setq ang (+ (angle start end) (/ pi 2.0)))

 

 

Share this post


Link to post
Share on other sites
itacad

Thank you but I was hoping there was a solution without using lisps

Share this post


Link to post
Share on other sites
eldon

I can think of a way but it involves some temporary drawing which would have to be erased. I am not sure of your aversion to excess drawing!

 

You can draw a circle, centred on a point, with radius perpendicular to the median line. Then move this circle from the point to the intersection of the circle with the median line. Then draw your line from the point to the perpendicular to the opposite side of the circle. Erase the circle.

Perpendicular drawn.PNG

Share this post


Link to post
Share on other sites
BIGAL

UCS OB red line

circle for offset cen pt from existing say blue.red point

circle rad = length for each side 

line quad quad 

erase circles

UCS w

 

image.png.b69496a6f8c38ddd673a91f22372201f.png

Share this post


Link to post
Share on other sites
itacad

Meanwhile, thanks, unfortunately I can't use macros or lisps.
My real requirement is to make a line, without knowing the end point but only knowing the starting point and the line I want to use as a bisector.

If from a point I trace the perpendicular to a line, immediately afterwards I could continue with a line on the same angle, but I don't know how to indicate the length automatically.
Length equal to the previous line.

 

image.png.a1f464d4df19ec8df7156d6a84fc7afd.png

Share this post


Link to post
Share on other sites
BIGAL

If you use the cal function it will do what you want

 

Line 'cal rot(end,end,180) then pick existing line again

 

rot(outside point,intersection point,180 degrees ) note if set to radians use PI.

 

 

Share this post


Link to post
Share on other sites
eldon

Use Lengthen.

 

Draw the line from a point to the median line, and then start Lengthen with option DElta. When prompted for Delta length, click on each end of your line, and then when prompted to Select an object to change, click on your line near the end where you want it to lengthen.

 

Job done.

Share this post


Link to post
Share on other sites
steven-g

Why can't you use the Macro shown by SEANT, it certainly looks to do exactly what you want and with only 2 clicks, simple.

Share this post


Link to post
Share on other sites
itacad

Hi eldon, at this point I use the scale command...

Hi steven-g, with my version of cad I can't use lisp e macro...

however if there is no direct command or snap it is useless to rage, I thought there was ...

thank you all

Share this post


Link to post
Share on other sites
steven-g

You can use macro's in every version of CAD. What program are you using?

Share this post


Link to post
Share on other sites
itacad

I don't know exactly the meaning but I use an alternative Cad based on Autocad OEM

Share this post


Link to post
Share on other sites
ReMark

In a previous post of yours you state that you cannot use a macro or lisp.  What is the exact name of the program you are using and when was it released?

 

A macro defines the action that should be performed when a user interface element is used.  An example of a simple macro would be:

 

^C^C_.circle \1

 

This macro, when invoked, would draw a circle with the radius of 1.

 

Macros can be written using an ASCII text editor like Windows Notepad for instance.

 

Another example would be: ^C^C_erase single.

 

This macro terminates the current command and invokes the Erase command in single selection mode.  For further information see this article by Autodesk entitled "About Command Macro".

 

https://knowledge.autodesk.com/support/autocad-lt/learn-explore/caas/CloudHelp/cloudhelp/2019/ENU/AutoCAD-LT/files/GUID-D991386C-FBAA-4094-9FCB-AADD98ACD3EF-htm.html

Edited by ReMark

Share this post


Link to post
Share on other sites
itacad

ok, I'll read it, thanks

Share this post


Link to post
Share on other sites
ReMark
43 minutes ago, itacad said:

ok, I'll read it, thanks

What happened to answering my questions?  What software are you actually using?  When was it released?  Is it an actual Autodesk related program?

Edited by ReMark

Share this post


Link to post
Share on other sites
eldon
13 hours ago, itacad said:

Hi eldon, at this point I use the scale command...

.........

however if there is no direct command or snap it is useless to rage, I thought there was ...

........

 

 We are not raging, we are trying to show you alternatives. Have you tried to use the command Stretch?

 

However, you have happened upon the command Scale, which appears to be most efficient for your usage.

Share this post


Link to post
Share on other sites
steven-g

Certainly not raging, it would help if you tell us what program you  are actually using, all versions of Autocad inc Autocad LT can use macro's, if you are using something other than Autocad (this is the Autocad forum you are posting in) then how do we know which commands ARE available to you? Please help us so we can help you.

The file you originally posted was certainly last saved by Autocad and I received no notificartion that it was not a genuine Autocad dwg which normally happens when other programs have been used to create a dwg.

Share this post


Link to post
Share on other sites
ReMark

Why would you indicate in your profile that you are using AutoCAD 2018 yet tell us you can't use macros or lisp routines?  Are you working on a school assignment that has those restrictions as part of the assignment?  

Share this post


Link to post
Share on other sites
rkmcswain
On 11/11/2019 at 1:36 PM, steven-g said:

You can use macro's in every version of CAD. What program are you using?

 

Not in some AutoCAD OEM packages such as Carlson Survey (I don't think they still use AutoCAD OEM, but when they did - it was locked down much tighter than even AutoCAD LT)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...